Bug 114212 - [PATCH] net/libpcap: update to 0.9.6
Summary: [PATCH] net/libpcap: update to 0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bruce M Simpson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-02 10:50 UTC by Robin Gruyters
Modified: 2007-07-09 03:10 UTC (History)
1 user (show)

See Also:


Attachments
libpcap-0.9.6.patch (1.13 KB, patch)
2007-07-02 10:50 UTC, Robin Gruyters
no flags Details | Diff
patchbase-Makefile.in (1.17 KB, text/plain)
2007-07-09 02:46 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Gruyters 2007-07-02 10:50:01 UTC
- Update to 0.9.6

Changelog libpcap 0.9.6:
- Put the public libpcap headers into a pcap subdirectory in both the
  source directory and the target include directory, and have include
  files at the top-level directory to include those headers, for 
  backwards compatibility.
- Add Bluetooth support
- Add USB capturing support on Linux
- Add support for the binary USB sniffing interface in Linux
- Add support for new FreeBSD BIOCSDIRECTION ioctl
- Add additional filter operations for 802.11 frame types
- Add support for filtering on MTP2 frame types
- Propagate some changes from the main branch, so the x.9 branch has 
  all the DLT_ and LINKTYPE_ values that the main branch does
- Reserved a DLT_ and SAVEFILE_ value for PPI (Per Packet Info) 
  encapsulated packets
- Add LINKTYPE_ for IEEE 802.15.4, with address fields padded as done 
  by Linux drivers
- Add LINKTYPE_ value corresponding to DLT_IEEE802_16_MAC_CPS.
- Add DLT for IEEE 802.16 (WiMAX) MAC Common Part Sublayer
- Add DLT for Bluetooth HCI UART transport layer
- When building a shared library, build with "-fPIC" on Linux to
  support x86_64
- Link with "$(CC) -shared" rather than "ld -shared" when building a 
  ".so" shared library
- Add support for autoconf 2.60
- Fixes to discard unread packets when changing filters
- Changes to handle name changes in the DAG library resulting from 
  switching to libtool.
- Add support for new DAG ERF types.
- Add an explicit "-ldag" when building the shared library, so the DAG
  library dependency is explicit.
- Mac OSX fixes for dealing with "wlt" devices
- Fixes in add_or_find_if() & pcap_findalldevs() to optimize
  generating device lists
- Fixed a bug in pcap_open_live(). The return value of
  PacketSetHwFilter was not checked. 


Port maintainer (bms@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-07-02 10:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bms

Over to maintainer
Comment 2 Bruce M Simpson freebsd_committer 2007-07-03 17:28:57 UTC
State Changed
From-To: open->closed

committed, thanks!
Comment 3 Craig Leres freebsd_committer 2007-07-09 02:43:18 UTC
I believe patchbase-Makefile.in needs to be updated too otherwise we have:

    % make
    ===>  Extracting for libpcap-overwrite-base-0.9.6
    => MD5 Checksum OK for libpcap-0.9.6.tar.gz.
    => SHA256 Checksum OK for libpcap-0.9.6.tar.gz.
    ===>  Patching for libpcap-overwrite-base-0.9.6
    ===>  Applying extra patch /home/fun/u2/cvsup/src/FreeBSD-current/ports/net/libpcap/files/patchbase-Makefile.in
    1 out of 2 hunks failed--saving rejects to Makefile.in.rej
    *** Error code 1

    Stop in /usr//ports/net/libpcap.

The appended version seems to do the trick.

		Craig

#text/plain; name="patchbase-Makefile.in" /usr/ports/net/libpcap/files/patchbase-Makefile.in
Comment 4 Craig Leres freebsd_committer 2007-07-09 02:46:30 UTC
I believe patchbase-Makefile.in needs to be updated too otherwise we have:

    % make
    ===>  Extracting for libpcap-overwrite-base-0.9.6
    => MD5 Checksum OK for libpcap-0.9.6.tar.gz.
    => SHA256 Checksum OK for libpcap-0.9.6.tar.gz.
    ===>  Patching for libpcap-overwrite-base-0.9.6
    ===>  Applying extra patch /home/fun/u2/cvsup/src/FreeBSD-current/ports/net/libpcap/files/patchbase-Makefile.in
    1 out of 2 hunks failed--saving rejects to Makefile.in.rej
    *** Error code 1

    Stop in /usr//ports/net/libpcap.

The appended version seems to do the trick.

		Craig